/* file yasep/core-js/group_smt.js
This file is distributed under terms of the Affero GPL v3 license or later, see http://yasep.org
created 2011-09-22 by whygee@f-cpu.org

dependency : yasep_forms.js, yasep_flags.js, yasep_opcodes.js
*/

Y.prefix=Y.GROUP_SMT;

Y.NewOpcode("HALT",
  null,
  null,
  Y.FORM_ALONE | Y.FORM_i,
  Y.NO_WRITEBACK | Y.NO_CONDITION | Y.IGNORE_SND | Y.IGNORE_SI4 | Y.IGNORE_IMM16,
  "Stop the core");


Y.NewOpcode("IPC",
  null,
  null,
  Y.FORM_RR|Y.FORM_IR|Y.FORM_iR,
  Y.NO_WRITEBACK | Y.NO_CONDITION | Y.Preliminary,
  "InterProcess Call");

Y.NewOpcode("IPE",
  null,
  null,
  Y.FORM_R,
  Y.IGNORE_SI4 | Y.IGNORE_IMM16 | Y.IGNORE_SND | Y.NO_CONDITION | Y.Preliminary,
  "InterProcess Entry");

Y.NewOpcode("IPR",
  null,
  null,
  Y.FORM_RR|Y.FORM_IR|Y.FORM_iR,
  Y.NO_WRITEBACK | Y.NO_CONDITION | Y.Preliminary,
  "InterProcess Return");


