/*
  yasep/regression/regression.js created by whygee at f-cpu.org
  This file is distributed under terms of the Affero GPL v3 license or later, see http://yasep.org
  created 2013-07-26 from regression/test_asm.js

  This file runs many other keys, starts tests and searches inconsistencies
*/

init_obj.push(regression={
  win:null,
  example_nr:0,
  test_asm_nr:0,

  // start creates other variables

  scan_examples: function(){
    if (regression.example_nr<list_yas.length){
      winman.activate_window("ASM/impASM#examples/"+list_yas[regression.example_nr++]+".yas");
      redraw(regression.scan_examples);
    }
    else
      regression.example_nr=0;
  },  

  functs: {
    "examples": function(){ // regression.start_scan_examples,
       if (regression.example_nr==0)
         redraw(regression.scan_examples);
    },
    "opcodes" : function(){ // regression.start_test_asm
      if (regression.test_asm_nr==0)
        winman.activate_window("Dev/test_asm#again");
    }
  },

  trigger: function(s){
    var f=regression.functs;
    // use a table later !
    if (s == "all") {
      for (s in f)
        f[s]();
    }
    else {
      typeof (s=f[s]) == "function" && s();
    }
  },

  start: function() {
    var i, j, win
     =regression.win
     = ygwm.new_window( "", null, "none",
       650, Math.ceil((getHeight()*3)/4),
       100, 50, false, true, true, true, false);

    win.contents_id.firstChild.innerHTML=import_htmi("regression/regression");

    for (i in regression.functs) {
      (j=dcE("div")).innerHTML = '<a href="#!Dev/regression#'+i+'"><button>'+i+"</button></a>";
      win.contents_id.firstChild.appendChild(j)
    }

    winman.patchInnerLinks(win.contents_id);
    ygwm.changeWinTitle(win, hiddenText(0,
       getByClass("hiddenDiv","DIV", win.contents_id)));
    win.trigger=regression.trigger;
    return win;
  },

  init_obj: function() {
    menu.subMenuItem(menu.list["Dev"], i8n.ats, "Dev/regression");
  }
});
