#!/bin/bash
YDIR=yasep2013
rm -f  $DIR/yasep.tbz $DIR/index.html.gz

[[ -a $DIR/index.html ]] || ( echo $DIR/index.html absent ; read );

for i in $(find $DIR|grep -v '[.]png'|grep -v '[.]gif'|grep -v '[.]htm')
do
   od -tx1 -w60000 $i 2>&1 |grep -i -q "c2 a0" && echo $i contains 0xC2A0
done

echo "proceed?" ; read

A=$(date  +%m%d)
pushd $DIR/examples
  ./mk_list.sh
popd
pushd $DIR/img
  ./mkimghtml.sh *g > images.html
popd
ARCH=$[DIR]-$A.tbz
tar cjvf $ARCH $DIR
ls -al $ARCH
cp $ARCH $DIR/yasep.tbz

sed 's/^VERSION=\"/VERSION=\"GZ-/'  $DIR/index.html |gzip -9 > $DIR/index.html.gz
scp -r -p $ARCH $DIR user@server:directory
rm -f  $DIR/yasep.tbz $DIR/index.html.gz
